[Overview][Types][Classes][Variables][Index] | Reference for unit 'LazDeviceApis' (#lcl)

# TLazAccelerometer.StartReadingAccelerometerData

Starts monitoring the accelerometer sensor.

## Declaration

Source position: lazdeviceapis.pas line 49

`public procedure TLazAccelerometer.StartReadingAccelerometerData;`

## Description

After calling this method, the accelerometer sensor will be monitored. If the accelerometer native API sends an event for value changes, then the event OnSensorChanged will be called on every change and before calling it the xaxis, yaxis and zaxis properties of the Accelerometer global object will be updated to reflect the last value read. If the native accelerometer API requires pooling, then the accelerometer state will be pooled at a rate not faster then once per millisecond.

Remember to call StopReadingAccelerometerData when the accelerometer is no longer needed, because this may save energy in some mobile platforms.